<?php
	session_start();
	include_once("../conf/const.php");
	define("SID_DIR","../data/sid/");
	
	//PC携帯判定
	$ua = $_SERVER['HTTP_USER_AGENT'];
	$mobile = mobile_check($ua);
	
	//セッションID
	if($mobile and !empty($qc_pass)){
		$sid = (!empty($_GET["sid"]))?$_GET["sid"]:"nosid";
	}else{
		$sid = session_id();
	}
	//パスワードの確認
	if(!empty($qc_pass)){
		if(file_exists(SID_DIR.$sid)==false) {
			//loginページへリダイレクト
			header("HTTP/1.1 302 Moved Temporarily");
			header("Location: ../".LOGIN_PAGE);
			exit;
		}
	}
	//設定してなかったら設定画面へ
	if(empty($conf_init)){
		if($mobile){
			echo "初期設定が完了していません。";
			exit;
		}else{
			header("HTTP/1.1 301 Moved Permanently");
			header("Location: ./edit_config.php");
			exit;
		}
	}
	
	//このディレクトリのURL
	$site_url = rtrim($home_url, "/").preg_replace("(qc_admin.php.*)","",$_SERVER['REQUEST_URI']);
	if(!url_check($site_url)){		//設定値がURLっぽくないとき
		$site_url_error = true;
	}else{
		$qc_url = preg_replace("(admin/)","",$site_url);		//QCディレクトリのURL
	}
	
	//絞り込み用パラメータ
	$url_para = "";
	$form_para = "";
	
	//現在のページタブ
	if($_GET['res']==1){
		$now = "res";
		$title_name = "レス済みのコメント - ";
	}elseif(is_numeric($_GET['res']) and $_GET['res']==0){
		$now = "nores";
		$title_name = "未レスのコメント - ";
	}elseif($_GET['fav']==1){
		$now = "fav";
		$title_name = "お気に入りのコメント - ";
	}
	
	//付箋IDの取得
	$fusen_id = @file_get_contents("../data/fusen/id.ini");
	
	//携帯の文字コード
	$mbset = "UTF-8";
	if($mobile) {
		mb_http_output('SJIS');
		ob_start('mb_output_handler');
		$mbset = "Shift-JIS";
	}
	
	//iPhone対応
	if (substr_count($ua,"iPhone") > 0 or substr_count($ua,"iPod") > 0) {
		$iPhone = true;
	}
	
	//*-------- HTML描画ここから開始。 --------*//
echo '<?xml version="1.0" encoding="'.$mbset.'"?>'."\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
<head profile="http://gmpg.org/xfn/11">
<meta content="text/html; charset=<?php echo $mbset; ?>" http-equiv="content-type"/>
<meta name="Robots" content="noindex,nofollow">
<meta name="GOOGLEBOT" content="NOSNIPPET">
<?php echo ($iPhone)?'<meta name="viewport" content="width=480" />':'' ?>
<title><?php echo $title_name; ?>Quick Comment 管理画面</title>
<link rel="stylesheet" type="text/css" href="./css/qcad-style.css"  media="screen, projection" />
<?php echo (!$admin_mode)?'<link rel="stylesheet" type="text/css" href="./css/qcad-style2.css"  media="screen, projection" />':'' ?>
<?php echo ($iPhone)?'<link rel="stylesheet" type="text/css" href="./css/qcad-style-i.css"  media="screen, projection" />':'' ?>
</head>
<body class="body">
<?php
	get_menu_bar($now,$mobile,$sid); /*メニューバー描画 */
	
	echo '<div id="wrapper">';
	if(!$mobile) {
		echo '<div id="ns-alert">';
		echo '<noscript>Javascriptが無効になっています。一部の機能が利用できません。</noscript>';
		echo '</div>';
	}
	if($demo_mode){
		echo '<div id="result">デモモード中ですので、一部機能は利用できません。</div>';
	}
	//DB接続
	$cn = mysql_connect(  DB_HOST, DB_USERNAME , DB_PASS ) ;
	mysql_select_db( DB_NAME ) or die("接続エラー");
	// 文字コードセット
	$sql = "set names utf8;";
	mysql_query($sql,$cn); 
	qc_table_exists($cn);
	//日付関連判定
	$o_year = date("Y");		//今年
	$o_month = date("m");		//今月
	$o_day = date("d");			//今日
	if(!empty($_GET['o_year']) and !empty($_GET['o_month']) and !empty($_GET['o_day'])){	//過去日付指定ありの時
		$o_year = htmlspecialchars(addslashes($_GET['o_year']), ENT_QUOTES, "UTF-8");
		$o_month = htmlspecialchars(addslashes($_GET['o_month']), ENT_QUOTES, "UTF-8");
		$o_day = htmlspecialchars(addslashes($_GET['o_day']), ENT_QUOTES, "UTF-8");
		$current_date = $o_year."-".$o_month."-".$o_day;
	}elseif(!empty($_GET['date'])){		//dateに直接指定（最近のリンクなどで来た時）
		$current_date = htmlspecialchars(addslashes($_GET['date']), ENT_QUOTES, "UTF-8");
		$ymd = split("-",htmlspecialchars(addslashes($_GET['date']), ENT_QUOTES, "UTF-8"));
		$o_year = $ymd[0];
		$o_month = $ymd[1];
		$o_day = $ymd[2];
	}else{		// 何もなければ今日の日付
		$current_date = date("Y-m-d");
	}
	//その日の一日前と一日後
	$next_date = date("Y-m-d",gmmktime(0,0,0,intval($o_month),intval($o_day)+1,$o_year));
	$prev_date = date("Y-m-d",gmmktime(0,0,0,intval($o_month),intval($o_day)-1,$o_year));
	
	$ua = $_SERVER['HTTP_USER_AGENT'];
	$and_checked = "checked";
	//現在のページ
	$page = (!empty($_GET['page']) and is_numeric($_GET['page'])) ? htmlspecialchars(addslashes($_GET['page']), ENT_QUOTES, "UTF-8") : 0;
	
	//IP、ID、名前、検索のときは拍手グラフ表示しない
	if(!empty($_GET['ip']) or !empty($_GET['user_id']) or !empty($_GET['name']) or !empty($_GET['search']) or !empty($_GET['pos']) or (!empty($_GET['res']) or is_numeric($_GET['res'])) or !empty($_GET['fav'])){
		$hidden_graph = true;
	}elseif($mobile){		//携帯の時も表示しない
		$hidden_graph = true;
	}
	//*-------- 拍手カウントグラフ描画ここから --------*//
	if(!$hidden_graph){
		//今日の時間帯別拍手数判定
		echo '<h2>';
		echo '<a class="d-navi" href="'. QCR_FILENAME .'?date='.$prev_date.'">&laquo;</a>';
		echo '<span class="n-date"><a href="'. QCR_FILENAME .'?date='.$current_date.'">'.preg_replace("(-)","/",$current_date).'</a></span>の時間帯別拍手数';
		echo '<a class="d-navi" href="'. QCR_FILENAME .'?date='.$next_date.'">&raquo;</a>';
		echo '</h2>';
		echo '<hr size="1" noshade class="comment-line" color="#E0E0E0" />';
		echo '<div id="graph-field">';
		//グラフ作成・今日の拍手数取得
		$sql = "select * from `".DB_NAME."`.`".QC_CLICK_COUNT."` where date = '".$current_date."'";
		$ret = mysql_query($sql,$cn);
		$clap = mysql_fetch_assoc($ret);
		//ユーザー数取得
		$sql = "select * from `".DB_NAME."`.`".QC_USER_COUNT."` where date = '".$current_date."'";
		$ret = mysql_query($sql,$cn);
		$users = mysql_fetch_assoc($ret);
		
		if(!empty($clap["date"])){
			//日付データは削除
			array_shift($clap);
			array_pop($clap);
			//その日の最高値取得
			$maxclap = max($clap);
			if($maxclap > 0){
				//グラフ描画
				echo '<div id="scale">';
				echo '<div style="height:'.$graph_height.'px;">'.$maxclap.'</div>';
					echo '<div class="hour-count" style="border:0;padding:1px 0;">回数</div>';
					echo '<div class="hour-user" style="border:0;padding:2px 0;">人数</div>';
					echo '<div class="hour-label" style="border:0;color:#000;padding:1px 0;">時間</div>';
				echo '</div>';
				echo '<div class="graph" style="height:'.($graph_height+52).'px">';
				for($i=0;$i<24;$i++){
					echo '<div class="houes">';
					echo '<div class="graph-value" style="height:'.$graph_height.'px;">';
					//グラフの割合からバーの高さを出す
					$bar_height = $graph_height*(($clap[$i]/$maxclap));
					if($clap[$i]>0){
						$bar_height_c = $bar_height*(1-($users[$i]/$clap[$i]))-1;
						$bar_height_u = $bar_height-$bar_height_c-1;
						$u_del_border = "";
						$c_del_border = "";
						if($users[$i]==$clap[$i] ){
							$c_del_border = "border:0;";
						}elseif($clap[$i]==$maxclap){
							//$c_del_border = "border-top:0;";
						}
					}else{
						$bar_height_c = 0;
						$bar_height_u = 0;
						$c_del_border = "border:0;";
						$u_del_border = "border:0;";
					}
					echo '<div class="graph-blank" style="height:'.($graph_height-$bar_height).'px"></div>';
					echo '<div class="graph-bar-clap" style="height:'.($bar_height_c).'px;'.$c_del_border.'"></div>';
					echo '<div class="graph-bar-user" style="height:'.($bar_height_u).'px;'.$u_del_border.'"></div>';
					echo '</div>';
					//4桁以上の数値はフォント縮小
					$ncount = ($clap[$i] >= 1000)?'<div class="count-small">'.$clap[$i].'</div>':$clap[$i];
					$nuser = ($users[$i] >= 1000)?'<div class="count-small">'.$users[$i].'</div>':$users[$i];
					echo '<div class="hour-count">'.$ncount."</div>";
					echo '<div class="hour-user">'.$nuser."</div>";
					echo '<div class="hour-label">'.$i."時</div>";
					echo "</div>";
				}
				echo "</div>";
			}else{
				echo "拍手がありません。";
			}
		}else{
			echo "拍手がありません。";
		}
		echo '</div>';
	}
	//*-------- 拍手カウントグラフ描画ここまで --------*//
	
	//*-------- コメントクエリここから --------*//
	//表示内容判定・SQL作成
	//SQL共通内容
	$sql = "select * from `".DB_NAME."`.`".QC_POST."` ";
	if (!empty($_GET['ip'])){
		$ip = htmlspecialchars(addslashes($_GET['ip']), ENT_QUOTES, "UTF-8");
		$url_para_n = "&ip=".$_GET['ip'];
		$url_para_p = '<input type="hidden" name="ip" value="'.$_GET['ip'].'" />';		//POST用パラメータの設定
		$res_title = 'IP：<span class="n-ip">'.$ip.'</span>の';
		$sql .= "where ip = '".$ip."' ";
	}elseif(!empty($_GET['user_id'])){
		$useid = htmlspecialchars(addslashes($_GET['user_id']), ENT_QUOTES, "UTF-8");
		$url_para_n = "&user_id=".$_GET['user_id'];
		$url_para_p = '<input type="hidden" name="user_id" value="'.$_GET['user_id'].'" />';
		$res_title = 'USER ID：<span class="n-uid">'.$useid.'</span>の';
		$sql .= "where user_id = '".$useid."' ";
	}elseif(!empty($_GET['name'])){
		$name = htmlspecialchars(addslashes($_GET['name']), ENT_QUOTES, "UTF-8");
		$url_para_n = "&name=".$_GET['name'];
		$url_para_p = '<input type="hidden" name="name" value="'.$_GET['name'].'" />';
		$res_title = '<span class="n-uid">'.stripslashes($name).'</span>さんの';
		$sql .= "where name = '".$name."' ";
	}elseif(!empty($_GET['pos'])){
		$pos = htmlspecialchars(addslashes($_GET['pos']), ENT_QUOTES, "UTF-8");
		$url_para_n = "&pos=".$_GET['pos'];
		$url_para_p = '<input type="hidden" name="pos" value="'.$_GET['pos'].'" />';
		$res_title = '設置ID：<span class="n-pos">'.$pos.'</span>からの';
		$sql .= "where pos_id = '".$pos."' ";
	}elseif(!empty($_GET['search'])){
		$words = htmlspecialchars(addslashes($_GET['search']), ENT_QUOTES, "UTF-8");
		$words = mb_convert_encoding($words, "UTF-8", "auto");
		$andor = htmlspecialchars(addslashes($_GET['andor']), ENT_QUOTES, "UTF-8");
		$url_para_n = "&search=".$_GET['search']."&andor=".$_GET['andor']."&search_type=".$_GET['search_type'];
		$url_para_p = '<input type="hidden" name="search" value="'.$_GET['search'].'" />';
		$url_para_p .= '<input type="hidden" name="andor" value="'.$_GET['andor'].'" />';
		$url_para_p .= '<input type="hidden" name="search_type" value="'.$_GET['search_type'].'" />';
		if($andor=="or"){
			$or_checked = "checked";
			$and_checked = "";	
		}
		//検索タイプ判定
		switch($_GET['search_type']){
			case "name" :
				$search_type = "name";
				$search_type_title = "名前";
				$search_selected_name = "selected";
				break;
			case "pos" :
				$search_type = "pos_id";
				$search_type_title = "設置ID";
				$search_selected_pos = "selected";
				break;
			case "res" :
				//レス検索の場合はSQL書き直し
				$sql = "select ".QC_POST.".* from `".DB_NAME."`.`".QC_POST."` inner join ".QC_RES." on ".QC_POST.".id = ".QC_RES.".comment_id ";
				$search_type = "(".QC_RES.".response)";
				$search_type_title = "レス";
				$search_selected_res = "selected";
				break;
			default:
				$search_type = "comment";
				$search_type_title = "本文";
		}
		//携帯は文字コード変換
		if($mobile){
			$words = mb_convert_encoding($words, "UTF-8", "sjis-win");
		}
		$keywords = split(" |　",$words);
		$sqlwords = $search_type." like '%".$keywords[0]."%'";
		for($i=1;$i<count($keywords);$i++){
			$sqlwords .= " ".$andor." ".$search_type." like '%".$keywords[$i]."%'";
		}
		if($i>1){
			$title_andor = '('.$andor.'検索)';
		}
		$res_title = '検索語：[<span class="n-word">'.$words.'</span>'.$title_andor.']を<span class="n-word-t">'.$search_type_title.'</span>に含む';
		$sql .= "where (".$sqlwords.") ";
	}elseif($conf_date_top or !empty($_GET['date']) or (!empty($_GET['o_year']) and !empty($_GET['o_month']) and !empty($_GET['o_day'])) ){
		$url_para_n = "&date=".$current_date;
		$url_para_p = '<input type="hidden" name="date" value="'.$current_date.'" />';
		$res_title = '<span class="n-date">'.preg_replace("(-)","/",$current_date).'</span>の';
		$date_s = "'".$current_date." 00:00:00'";
		$date_e = "'".$current_date." 23:59:59'";
		$sql .= "where date between ".$date_s." and ".$date_e." ";
	}else{
		$no_param = true;	//特にパラメータがないので
	}
	$res_title .= "コメント";
	//絞り込み レス済み・お気に入り
	if(is_numeric($_GET['res']) and ($_GET['res'] == 1 or $_GET['res'] == 0)){
		if($no_param){
			$sql .= "where res = ".addslashes($_GET['res'])." ";
		}else{
			$sql .= "and res = ".addslashes($_GET['res'])." ";
		}
		$url_para .= "&res=".addslashes($_GET['res']);		//URLリンクに追加
		$form_para .= '<input type="hidden" name="res" value="'.addslashes($_GET['res']).'" />';		//フォームにパラメータ追加
		if($_GET['res']==1){
			$res_title .= '<span class="title-res">：レス済み</span>';
		}else{
			$res_title .= '<span class="title-no-res">：未レス</span>';
		}
	}elseif($_GET['fav'] == 1){
		if($no_param){
			$sql .= "where fav = 1 ";
		}else{
			$sql .= "and fav = 1 ";
		}
		$url_para .= "&fav=1";		//URLリンクに追加
		$form_para .= '<input type="hidden" name="fav" value="1" />';		//フォームにパラメータ追加
		$res_title .= '<span class="title-fav">：お気に入り</span>';
	}
	
	//携帯用のパラメータ設定
	if($mobile){
		$url_para .= "&sid=".$sid;
	}
	
	//ページ区切り前のSQL文をとっておく
	$sqlall = $sql;
	//昇順・降順
	$esc = (empty($_GET["order"]))?"DESC":"";
	//SQL共通内容・末尾 コメント検索用SQL完成
	$sql .= "order by id ".$esc." ";
	
	//特にパラメータがない場合の調整
	if($no_param){
		$sql .= "limit ".($page*$recent).", ".($recent+1);
		//コメントループの範囲設定
		$c_stat = 0;
		$c_end = $recent;
	}else{
		$c_stat = $page*$recent;
		$c_end = ($page+1)*$recent;
	}
	
	//SQLクエリ
	$ret = mysql_query($sql);
	if(!$ret){ echo "SQL失敗"; exit(); }
	
	//総件数
	$cntall = mysql_num_rows($ret);
	if($cntall > $recent){
		//ページ送りを表示する
		$pagenavi = true;
	}elseif($page > 0){
		$pagenavi = true;
	}
	
	//タイトル調整
	if($no_param){
		if($cntall > 0) {
			$titlecnum = ($cntall > $recent)?$recent:$cntall;
			if($page == 0){
				$res_title = '最新<span class="n-recent">'.($titlecnum).'</span>件の'.$res_title;
			}else{
				if(($page+1)*$recent<$cntall){
					$res_title = '過去<span class="n-recent">'.($page*$recent+1).'～'.(($page+1)*$recent).'</span>件の'.$res_title;
				}else{
					$res_title = '過去<span class="n-recent">'.($page*$recent+1).'～'.($page*$recent+$titlecnum).'</span>件の'.$res_title;
				}
			}
		}

	}elseif(!$no_param and $page > 0){
		$res_title .= '<span class="page-num">(page:'.($page+1).')</span>';
	}
	//タイトル完了
	$res_title = "<h2><center>".stripslashes(stripslashes($res_title))."</center></h2>";
	
	//*-------- コメントクエリここまで --------*//
	
	//*-------- コメントタイトル出力 --------*//
	echo $res_title;
	echo '<hr size="1" noshade class="comment-line" color="#E0E0E0" />';
	
	//*-------- コメント一覧描画ここから --------*//
	echo '<div id="comments-field">';
	$comments = mysql_fetch_all($ret);
	$cnum = 0;		//全コメントカウント
	$u_cnt = 0;
	$ubg_cnt = 0;
	
	for($t=$c_stat;$t<$c_end;$t++){
		if($t>=$cntall){
			break;
		}
		$cm = $comments[$t];
		//コメント回数取得
		$cnum++;
		$ip = addslashes($cm["ip"]);
		$userid = addslashes($cm["user_id"]);
		$name = stripslashes($cm["name"]);
		$cnt = 0;
		$predate = 0;
		if(!empty($_GET['ip']) or strlen($userid) <= 1){
			$sql = "select * from `".DB_NAME."`.`".QC_POST."` where `ip` = '".$ip."' ORDER BY date DESC"; //ipで計算
		}else{
			$sql = "select * from `".DB_NAME."`.`".QC_POST."` where `user_id` = '".$userid."' ORDER BY date DESC";
		}
		$ret = mysql_query($sql);
		if($ret){
			while($dat = mysql_fetch_assoc($ret)){
				$ndate = split(" ",$dat['date']);
				if ($ndate[0] != $predate){
					$cnt++;
					$predate = $ndate[0];
				}
			}
		}
		//コメントクラス
		$cnt_class = "u_comment";
		if ($cnt >= 50){
			$cnt_class = "u_comment3";
		}elseif ($cnt >= 25){
			$cnt_class = "u_comment2";
		}

		//BGクラス
		if(!isset($ubg_class[$cm["user_id"]])){
			$ubg_cnt++;
			if ($ubg_cnt>20){ $ubg_cnt=1; }
			$ubg_class[$cm["user_id"]] = $ubg_cnt;
		}
		echo '<div class="comment" id="cf-'.$cm["id"].'">';
			//コメントフッタ（IPなど）
			//echo '<div class="comment-foot ubg'.$ubg_class[$cm["user_id"]].'">';
			if($fusen_id == $cm["id"]){
				$fusen_class = " fusen";
			}else{
				$fusen_class = "";
			}
			if($admin_mode){
				echo '<div class="comment-foot" id="foot'.$cm["id"].'">';
				if(strlen($cm["ip"])>18){	//IPv6くらいはフォント小さくしておく
					$ip_fontresize = "font-size:10px;font-family: sans-serif;";
				}else{
					$ip_fontresize = "";
				}
				echo '<span class="ip">IP：<a href="'. QCR_FILENAME .'?ip='.$cm["ip"].$url_para.'" style="'.$ip_fontresize.'"><span id="ip'.$cm["id"].'">'.$cm["ip"].'</span></a>'." </span><br />";
				echo '<span class="uid">ID：'.'<a href="'. QCR_FILENAME .'?user_id='.$cm["user_id"].$url_para.'"><span id="id'.$cm["id"].'">'.$cm["user_id"].'</span></a>'."</span>";
				if(!$mobile){echo "<br />";}
				echo '<span class="uc-count">(<span class="'.$cnt_class.'_cnt">'.$cnt.'</span>)</span>';
				echo '</div>';
			}
			//日付と本文フィールド
			echo '<div class="comment-body">';
				//コメントヘッダ（日付など
				echo '<div class="comment-head">';
					$ndate = split(" ",$cm["date"]);
					echo '<span class="date"><a href="'. QCR_FILENAME .'?date='.$ndate[0].$url_para.'">'.$ndate[0].'</a> <span class="time">'.$ndate[1]."</span></span><br />";
					//**---- copy,res,favなどの便利なボタン
					if(!$mobile){
						echo '<div class="comment-util">';
						echo '<span class="btn copy-btn copy-btn-off" onClick="copyComment(\''.$cm["id"].'\',\''.$cm["res"].'\');" id="copy-comment'.$cm["id"].'">copy</span>';
						if(!$site_url_error){	//URL設定がちゃんとされてたら設置
							echo '<span class="btn res-btn-'.$cm["res"].' res-btn-off-'.$cm["res"].'" onClick="WriteRes(\'res'.$cm["id"].'\',\''.$cm["res"].'\');" id="btn-res'.$cm["id"].'">res</span>';
							echo '<span class="btn fav-btn fav-btn-'.$cm["fav"].'" onClick="AddFav(\''.$cm["id"].'\');" class="fav-state-'.$cm["fav"].'" id="fav-id-'.$cm["id"].'">fav</span>';
						}
						echo '<input type="checkbox" name="check" id="check'.$cm["id"].'" value="'.$cm["id"].'" class="check" />';
						echo '</div>';
					}
				echo '</div>';
				//本文フィールド
				echo '<div class="comment-text'.$fusen_class.'" id="comment'.$cm["id"].'">';
					//携帯チェック
					if(!$mobile){
						//コピペ用にdivタグの配置とHTMLエンティティ調整
						$cm["comment"] = preg_replace("/&lt;/","&amp;lt;",$cm["comment"]);
						$cm["comment"] = preg_replace("/&gt;/","&amp;gt;",$cm["comment"]);
					}	
					echo (!$mobile)?$tag_comment_f:"";		//コメント1件の開始タグ
					//投稿者名があれば表示
					if(!empty($cm["name"])){
						$m_name = $cm["name"];
						if($mobile){
							$m_name = urlencode($cm["name"]);
						}
						echo $conf_tag_auther_f.'<a href="'. QCR_FILENAME .'?name='.$m_name.$url_para.'" class="auther-link">'.nl2br($name).'</a>'.$conf_tag_auther_r."\n";
					}
					//ページIDがあれば表示
					if(!empty($cm["pos_id"])){
						echo '<span class="c-pos">';
							echo '(from：<a href="'. QCR_FILENAME .'?pos='.$cm["pos_id"].$url_para.'" class="pos-link">'.$cm["pos_id"].'</a>)';
						echo '</span><br />';
					}elseif(!empty($cm["name"])){
						echo '<br />';
					}
					//コメント本文
					echo $tag_text_f.nl2br(stripslashes($cm["comment"])).$tag_text_r;
					echo '<!--%%res%%-->';
					echo (!$mobile)?$tag_comment_r:"";		//コメント1件の閉じタグ
				echo '</div>';
			//レスフォームここから
				$restext = "";
				if($cm["res"]>0){		//レスがあれば
					$sql = "select * from `".DB_NAME."`.`".QC_RES."` where comment_id = '".$cm["id"]."'";
					$ret = mysql_query($sql,$cn);
					$response = mysql_fetch_assoc($ret);
					$restext = $response["response"];
				}
				$resed = ($cm["res"]>0)?"block":"none";
				$respost_btn = ($cm["res"]>0)?"更新":"投稿";
				//PC携帯分岐
				if(!$mobile){
					echo '<div class="res-text" id="res'.$cm["id"].'" style="display:'.$resed.'">';
						echo '<div class="res" id="posted-res'.$cm["id"].'">';
						echo $tag_res_f.nl2br((stripslashes($restext))).$tag_res_r;
						echo '</div>';
						echo '<div id="form-res'.$cm["id"].'" style="display:none;">';
							echo '<textarea class="res-area" id="area-res'.$cm["id"].'">';
							echo $restext;
							echo '</textarea>';
							echo '<div style="text-align:right;"><span class="btn res-btn-'.$cm["res"].' res-btn-off-'.$cm["res"].'" onclick="PostRes(\''.$cm["id"].'\',\''.$cm["res"].'\');" id="post-btn-res'.$cm["id"].'">レス'.$respost_btn.'</span></div>';
						echo '</div>';
					echo '</div>';		//レスフォームここまで
					//×ボタン
					if(!$site_url_error){	//URL設定がちゃんとされてたら設置
						echo '<div class="del-btn" id="del'.$cm["id"].'" onclick="DeletePost(\''.$cm["id"].'\');">';
							echo "x";
						echo '</div>';
						echo '<div class="fusen-btn" id="fusen'.$cm["id"].'" onclick="AddFusen(\''.$cm["id"].'\',\''.$fusen_id.'\');">';
							echo "c";
						echo '</div>';
					}
				}else{
					//携帯用のレス表示
					if($cm["res"]>0){
						echo '<div class="res-text">';
						echo '<font color="#006600">'.nl2br((stripslashes($restext))).'</font>';
						echo '</div>';
					}
					//携帯はシングルページへ
					echo '<div align="right">';
					echo '<form action="../lib/mobile_res.php" method="post" name="mqc">';
					echo '<input type="hidden" name="id" value="'.$cm["id"].'" />';
					echo '<input type="hidden" name="sid" value="'.$sid.'" />';
					echo $url_para_p;
					echo $form_para;
					echo '<input type="hidden" name="page" value="'.$page.'" />';
					echo '<input type="submit" name="m-submit" value="レス'.$respost_btn.'" />';
					echo '</form>';
					echo '</div>';
				}
			echo '</div>';
			echo '<hr size="1" noshade class="comment-line" color="#E0E0E0" />';
		echo '</div>';		//コメント1件ここまで
		
	}
	//*-------- コメントのリストはここまで --------*//
	
	//コメントフィールドのフッター
		echo '<div id="cf-footer">';
		//ナビ
			echo '<div class="page-navi">';
				if($pagenavi){
					$navilink = "";
					if($page > 0){
						$akey_b = ($mobile)?"[4]":"";
						$navilink .= '<span id="next"><a href="'. QCR_FILENAME .'?page='.($page-1).$url_para.$url_para_n.'" accesskey="4">'.$akey_b.'&laquo;前の'.$recent.'件</a></span>';
						$navi_b = true;
					}
					if($cnum >= $recent and (($recent*($page+1))-$cntall != 0 or $page == 0)){
						if($navi_b){
							$navilink .= " <span>|</span> ";
						}
						$akey_n = ($mobile)?"[6]":"";
						$navilink .= '<span id="next"><a href="'. QCR_FILENAME .'?page='.($page+1).$url_para.$url_para_n.'" accesskey="6">'.$akey_n.'次の'.$recent.'件&raquo;</a></span>';
						$navi_n = true;
					}
					if($navilink){
						echo $navilink;
					}elseif(!$mobile){
						echo "<p>|</p>";
					}
				}elseif(!$mobile){
					echo '<p>|</p>';
				}
			echo '</div>';
			if(!$no_param){
				if($cnum < 2){
					$dispcnt = $cnum."/".$cntall;
				}elseif($recent*($page+1) < $cntall){
					$dispcnt = ($cnum*$page+1)."～".$cnum*($page+1)."/".$cntall;
				}else{
					$dispcnt = ($recent*$page+1)."～".$cntall."/".$cntall;
				}
				echo '<div class="total_number">コメント件数 : <span class="amount">'.$dispcnt.'</span> 件</div>';
			}
			//まとめて操作
			if(!$mobile){
				echo '<div id="check_all">';
					echo '全てチェックする<input type="checkbox" name="checkall" id="checkall" onclick="checkAll();" />';
				echo '</div>';
			}
			echo '<div id="operate_field">';
				//ワード検索
				echo '<form action="./'.QCR_FILENAME.'" method="GET" id="word" name="word" class="search-form">';
				echo '<span>検索語 : </span><input type="text" size="30" name="search" id="search" value="'.stripslashes(htmlspecialchars($_GET['search'])).'" class="search-input" />';
				echo '<select name="search_type"><option value="comment">本文</option><option value="name" '.$search_selected_name.'>名前</option><option value="res" '.$search_selected_res.'>レス</option><option value="pos" '.$search_selected_pos.'>設置</option></select>';
				
				echo '<input type="radio" name="andor" id="and" class="search-radio" value="and" '.$and_checked.' /><label for="and" accesskey="a"> and</label> <input type="radio" name="andor" id="or" class="search-radio" value="or" '.$or_checked.' /><label for="or" accesskey="o"> or</label>';
				echo $form_para;
				echo '<input type="submit" value="検索" class="submit" /> ';
				echo '</form>';
				//チェックしたコメントに対する操作
				if(!$mobile){
					echo 'チェックされたコメントを ';
					echo '<select name="operate" id="operate">';
					echo '<option value="copyall">レスごとまとめてコピーする</option>';
					echo '<option value="delall">すべて削除する</option>';
					echo '<option value="ngip">IPでNGリストに追加する</option>';
					echo '<option value="ngid">IDでNGリストに追加する</option>';
					echo '</select>';
					echo '<input type="submit" value="実行" class="submit" onclick="MultiOperate('."getElementById('operate').value".')" /> ';
				}
			echo '</div>';
		echo '</div>';
	echo '</div>';
	//*-------- コメント一覧描画ここまで --------*//
	
	//*-------- 最近のデータとリンクここから --------*//
	echo '<hr size="1" noshade class="comment-line" color="#E0E0E0" />';
	echo '<div id="form-field">';
		echo '<form action="./'.QCR_FILENAME.'" method="GET" id="oldlog" name="oldlog" class="date-form">';
		echo '日付指定 ： <select name="o_year">';
		for($yyyy=2009;$yyyy<=(int)date("Y");$yyyy++){
			$selected = "";
			if($yyyy == $o_year){ $selected = "selected"; }
			echo '<option value="'.$yyyy.'" '.$selected.'>'.$yyyy.'</option>';
		}
		echo '</select>年';
		echo '<select name="o_month">';
		for($mm=1;$mm<=12;$mm++){
			$selected = "";
			if($mm == $o_month){ $selected = "selected"; }
			echo '<option value="'.sprintf("%02d",$mm).'" '.$selected.'>'.$mm.'</option>';
		}
		echo '</select>月';
		echo '<select name="o_day">';
		for($dd=1;$dd<=31;$dd++){
			$selected = "";
			if($dd == $o_day){ $selected = "selected"; }
			echo '<option value="'.sprintf("%02d",$dd).'" '.$selected.'>'.$dd.'</option>';
		}
		echo '</select>日';
		echo $form_para;
		echo '<input type="submit" value="決定" class="submit" />';
		echo '</form>';
	
		//直近2週間の日別コメントページへのリンク
		
		if(!$hidden_graph){
			echo '<h3>最近2週間の日別拍手回数</h3>';
			//2週間前の日付
			//グラフ作成・今日の拍手数取得
			$sql = "select * from `".DB_NAME."`.`".QC_CLICK_COUNT."` order by last_update DESC limit 0,14";
			$ret = mysql_query($sql,$cn);
			$clap = mysql_fetch_all($ret);
			//ユーザー数取得
			$sql = "select * from `".DB_NAME."`.`".QC_USER_COUNT."` order by last_update DESC limit 0,14";
			$ret = mysql_query($sql,$cn);
			$users = mysql_fetch_all($ret);
			
			if(!empty($clap)){
				//その日の最高値取得
				$maxclap = max($clap);
				$dayclap = array();
				$dayusers = array();
				$j = 0;
				//日別のトータル数に変換
				for($i=0;$i<14;$i++){
					$nd = date("Y-m-d",getDay(-1*$i));
					if($nd == ($clap[$j]['date'])){
						//拍手数の配列：前後削って総数カウント
						array_shift($clap[$j]);
						array_pop($clap[$j]);
						$dayclap[$i] =array_sum($clap[$j]);
						//ユーザー数の配列：前後削って総数カウント
						array_shift($users[$j]);
						array_pop($users[$j]);
						$dayusers[$i] =array_sum($users[$j]);
						$j++;
					}else{
						$dayclap[$i] = 0;
						$dayusers[$i] = 0;
					}
				}
				$maxclap = max($dayclap);
				if($maxclap > 0){
					//グラフ描画
					echo '<div class="days-scale">';
					echo '<div style="height:'.$graph_height.'px;">'.$maxclap.'</div>';
						echo '<div class="day-count" style="border:0;padding:2px 0;">回数</div>';
						echo '<div class="day-user" style="border:0;padding:2px 0;">人数</div>';
						echo '<div class="day-label" style="border:0;color:#000;padding:1px 0;">日付</div>';
					echo '</div>';
					echo '<div class="days-graph" style="height:'.($graph_height+58).'px">';
					for($i=0;$i<14;$i++){
						echo '<div class="days">';
						echo '<div class="days-graph-value" style="height:'.$graph_height.'px;">';
						//グラフの割合からバーの高さを出す
						$bar_height = $graph_height*(($dayclap[$i]/$maxclap));
						if($dayclap[$i]>0){
							$bar_height_c = $bar_height*(1-($dayusers[$i]/$dayclap[$i]))-1;
							$bar_height_u = $bar_height-$bar_height_c-1;
							$u_del_border = "";
							$c_del_border = "";
							if($dayusers[$i]==$dayclap[$i] ){
								$c_del_border = "border:0;";
							}elseif($dayclap[$i]==$maxclap){
								//$c_del_border = "border-top:0;";
							}
						}else{
							$bar_height_c = 0;
							$bar_height_u = 0;
							$c_del_border = "border:0;";
							$u_del_border = "border:0;";
						}
						echo '<div class="graph-blank" style="height:'.($graph_height-$bar_height).'px"></div>';
						echo '<div class="graph-bar-clap" style="height:'.($bar_height_c).'px;'.$c_del_border.'"></div>';
						echo '<div class="graph-bar-user" style="height:'.($bar_height_u).'px;'.$u_del_border.'"></div>';
						echo '</div>';
						//5桁以上の数値はフォント縮小
						$ncount = ($dayclap[$i] >= 10000)?'<div class="count-small">'.$dayclap[$i].'</div>':$dayclap[$i];
						$nuser = ($dayusers[$i] >= 10000)?'<div class="count-small">'.$dayusers[$i].'</div>':$dayusers[$i];
						echo '<div class="day-count">'.$ncount."</div>";
						echo '<div class="day-user">'.$nuser."</div>";
						echo '<div class="day-label"><a href="'.QCR_FILENAME.'?date='.date("Y-m-d",getDay(-1*$i)).$url_para.'" class="days">'.ltrim(date("m/d",getDay(-1*$i)),"0")."</a></div>";
						echo "</div>";
					}
					echo "</div>";
				}else{
					echo "拍手ログがありません。";
				}
				
			}else{
				echo "拍手ログがありません。";
			}
		}else{
			echo '<div class="log_table">';
			echo '最近のログ ';
			$today = date("d");
			for ($i=0;$i<14;$i++){
				$nd = date("m/d",getDay(-1*$i));
				$ndate = date("Y-m-d",getDay(-1*$i));
				echo '<a href="'.QCR_FILENAME.'?date='.$ndate.$url_para.'" class="ldays"><span>'.$nd.'</span></a> ';
			}
		}
		echo '</div>';
		
	echo '</div>';
	if(!$mobile) {
		echo '<div id="allcopyarea">';
		echo '<div class="aptitle">選択されたコメントのコピー</div><div class="del-btn" style="top:5px;right:5px;width:12px;height:11px;" onclick="document.getElementById(\'allcopyarea\').style.display=\'none\';">x</div>';
		echo '<textarea id="allcopytext"></textarea>';
		echo '</div>';
	}
?>	
</div><!-- wrapper end -->
	<?php if(!empty($qc_pass)) {logout_btn();} ?>
	<?php echo COPY_LIGHT; ?>
</body>
<script src="./js/qc-admin.js"></script>
<script type="text/javascript">
<!--
	var qc_url = "<?php echo (!$demo_mode)?$qc_url:""; ?>";
	var sid = "<?php echo (!$demo_mode)?$sid:""; ?>";
	<?php echo ($conf_addbr)?"br = true;\n":""; ?>
-->
</script>
</html>
<?php
	//携帯版の出力
	if($mobile) {
		$mstr = ob_get_contents();
		$mstr = mb_convert_encoding($mstr, "sjis-win", "auto");
		ob_end_clean();
		echo $mstr;
	}