<?php

//imageディレクトリから画像ファイルを検索する
$imgdir = opendir( IMAGE_DIR );
$images = array();
$i = 0;
//ディレクトリ内のファイル名を取得する
while($file_name = readdir($imgdir)){
	if(preg_match("/.jpg$|.png$|.gif$|.bmp$|.swf$/i",$file_name)){
		$images[$i] = $file_name;
		$i++;
	}
}
//ディレクトリをクローズする
closedir($imgdir);

sort($images);	//ソート
if($i > 0){
	//連番表示かランダム表示か
	if($conf_random_image){
		//ランダム表示の時
		if($_SESSION["count"]>$click_limit and $conf_deny_overimage){
			$file = $images[$_SESSION["rn"]];
		}else{
			$rn = rand(0,count($images)-1);
			$file = $images[$rn];
			$_SESSION["rn"] = $rn;
		}
	}else{
		//連番表示のとき
		$imgcnt = ($conf_deny_overimage)?$count:$_SESSION["count"];
		$imgnum = $imgcnt-1;
		if($imgcnt > count($images)){
			if($conf_image_loop){
				$imgnum = (($imgcnt-1)%count($images));
			}else{
				$imgnum = count($images) -1;
			}
		}
		$file = $images[$imgnum];
	}
	//ファイルパス
	$filepass = IMAGE_DIR.$file;
	
	//SWFと画像で分岐
	if(!preg_match("/.swf$/i",$file)){
		//サイズ取得
		list($width, $height, $type, $attr) = getimagesize($filepass);
		//alt取得
		$alttext = @file_get_contents("./data/alt/".$file.".txt");
		//無ければデフォルト
		$alt = ($alttext)?htmlspecialchars($alttext, ENT_QUOTES, "UTF-8"):"お礼画像";
		$result_image = '<img src="'.$filepass.'" '.$attr.' alt="'.$alt.'" title="'.$alt.'" />';
	
	}else{
		//SWFサイズ指定ファイルを読み込む
		$swf_size = @file("./data/swfconf/".$file.".ini",FILE_IGNORE_NEW_LINES|FILE_SKIP_EMPTY_LINES);
		$swf_width = ($swf_size[0])?trim($swf_size[0]):512;		//なければデフォルト設定
		$swf_height = ($swf_size[1])?trim($swf_size[1]):384;
		//SWF用タグ
		$result_image = '<object width="'.$swf_width.'" height="'.$swf_height.'" data="'.$filepass.'" type="application/x-shockwave-flash">flash';
		$result_image .= '<param name="movie" value="'.$filepass.'" />';
		$result_image .= '</object>';
	}
}else{
	$result_image = "画像がありません。";
}
?>