<?php
	session_start();
	include_once("./conf/const.php");
	define("SID_DIR","./data/sid/");
	//PC携帯判定
	$ua = $_SERVER['HTTP_USER_AGENT'];
	$mobile = mobile_check($ua);
	
	if(!empty($_POST["qc_login_submit"])){
		if($qc_pass != $_POST["qc_pass"]){
			$login_error = "パスワードが違います。";
		}else{
			//セッションID更新
			session_regenerate_id();
			//ディレクトリ内のファイル名を取得する
			$sdir = opendir( SID_DIR );
			while( $file_name = readdir( $sdir ) ){
				if(!preg_match("/^.htaccess$/",$file_name)){
					@unlink(SID_DIR.trim($file_name,"."));		//必要ファイル以外は削除
				}
			}
			//ディレクトリをクローズする
			closedir($sdir);
			//新しいSIDファイルを保存
			$fp = fopen(SID_DIR.session_id(),"w");
			fclose($fp);
			
			//携帯はGET付与
			if($mobile){
				$mobilelogin = "?sid=".session_id();
			}
			//adminページへリダイレクト
			header("HTTP/1.1 302 Moved Temporarily");
			header("Location: ./admin/".QCR_FILENAME.$mobilelogin);
			exit;
		}
	}elseif(!empty($_POST["logout"])){
		//セッションID更新
		session_regenerate_id();
		//ディレクトリ内のファイル名を取得する
		$sdir = opendir( SID_DIR );
		while( $file_name = readdir( $sdir ) ){
			if(!preg_match("/^.htaccess$/",$file_name)){
				@unlink(SID_DIR.trim($file_name,"."));		//必要ファイル以外は削除
			}
		}
		//ディレクトリをクローズする
		closedir($sdir);
	}
	//iPhone対応
	if (substr_count($ua,"iPhone") > 0 or substr_count($ua,"iPod") > 0) {
		$iPhone = true;
	}
	//*-------- HTML描画ここから開始。 --------*//
echo '<?xml version="1.0" encoding="UTF-8"?>'."\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
<head profile="http://gmpg.org/xfn/11">
<meta content="text/html; charset=UTF-8" http-equiv="content-type"/>
<meta name="Robots" content="noindex,nofollow">
<meta name="GOOGLEBOT" content="NOSNIPPET">
<?php echo ($iPhone)?'<meta name="viewport" content="width=480" />':'' ?>
<title><?php echo $title_name; ?>Quick Comment ログイン</title>
<link rel="stylesheet" type="text/css" href="./css/qclogin-style.css"  media="screen, projection" />
</head>
<body class="body">
	<div id="wrapper" style="width:500px;">
	<h2>Quick Comment ログイン</h2>
	<form action="<?php echo LOGIN_PAGE; ?>" method="post" id="comments-field" style="text-align:center;">
		パスワード：<input type="password" name="qc_pass" value="" size="10" class="search-input" />
		<input type="submit" name="qc_login_submit" value="ログイン" class="submit" /><br />
		<span style="color:#F00"><?php echo $login_error; ?></span>
	</form>
	<div id="copyright">
		QuickComment | <a href="http://privatemoon.jp/" target="_blank">PrivateMoon</a>
	</div>
</body>