<?php
	session_start();
	include_once("../conf/const.php");
	define("EDIT_TPL","edit_tpl.php");
	define("A_TPL_DIR","../tpl/");
	define("SID_DIR","../data/sid/");
	//PC携帯判定
	$ua = $_SERVER['HTTP_USER_AGENT'];
	$mobile = mobile_check($ua);
	
	//セッションID
	if($mobile){
		$sid = (!empty($_GET["sid"]))?$_GET["sid"]:"nosid";
	}else{
		$sid = session_id();
	}
	//パスワードの確認
	if(!empty($qc_pass)){
		if(file_exists(SID_DIR.$sid)==false) {
			//loginページへリダイレクト
			header("HTTP/1.1 302 Moved Temporarily");
			header("Location: ../".LOGIN_PAGE);
			exit;
		}
	}
	//このディレクトリのURL
	$site_url = rtrim($home_url, "/").preg_replace("(".EDIT_TPL.".*)","",$_SERVER['REQUEST_URI']);
	if(!url_check($site_url)){		//設定値がURLっぽくないとき
		$site_url_error = true;
	}else{
		$qc_url = preg_replace("(admin/)","",$site_url);		//QCディレクトリのURL
	}
	
	//POSTがあったら更新
	if(!$demo_mode){
		if($_POST["sub-tpl"]){
			
			$tpl_val = stripslashes($_POST["edit-tpl"]);
			//テンプレート書き込み
			$fp = @fopen(A_TPL_DIR."index.html","w");
			if($fp){
				fwrite($fp,$tpl_val);
				fclose($fp);
				$tpl_res = '<div id="result">拍手画面のテンプレートを更新しました。</div>';
			}else{
				$tpl_res = '<div id="alert">テンプレートファイルに書き込めませんでした。</div>';
			}
		}
		if($_POST["sub-css"]){
			$css_val = stripslashes($_POST["edit-css"]);
			//テンプレート書き込み
			$fp = @fopen("../css/style.css","w");
			if($fp){
				fwrite($fp,$css_val);
				fclose($fp);
				$css_res = '<div id="result">拍手画面のCSSを更新しました。</div>';
			}else{
				$css_res = '<div id="alert">CSSファイルに書き込めませんでした。</div>';
			}
		}
	}else{
		$tpl_res = '<div id="result">デモモード中ですので、設定変更は反映されません。</div>';
	}
	//ファイル読み込み
	$tpldata = file_get_contents(A_TPL_DIR."index.html");
	$cssdata = file_get_contents("../css/style.css");
	
	//*-------- HTML描画ここから開始。 --------*//
echo '<?xml version="1.0" encoding="UTF-8"?>'."\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
<head profile="http://gmpg.org/xfn/11">
<meta content="text/html; charset=UTF-8" http-equiv="content-type"/>
<meta name="Robots" content="noindex,nofollow">
<meta name="GOOGLEBOT" content="NOSNIPPET">
<title>テンプレート - Quick Comment 管理画面</title>
<link rel="stylesheet" type="text/css" href="./css/edit-style.css"  media="screen, projection" />
</head>
<body class="body">
<?php
	if(!empty($conf_init)){
		get_menu_bar("tpl",$mobile,$sid); /*メニューバー描画 */
	}
?>	
<div id="wrapper">
	<h2><center>テンプレートの編集</center></h2>
	<?php
		if($tpl_res or $css_res){
			echo $tpl_res.$css_res;
		}
	?>
	<div id="edit-field">
		<h3>拍手画面HTML編集 <span class="init" style="color:#666;font-size:9px;" onclick="oc('expline');">help</span></h3>
		<div>
			<form action="<?php echo EDIT_TPL; ?>" method="post" name="tpl-form" id="tpl-form">
				
				<div id="expline" style="display:none;">
					<h4>専用タグについて</h4>
					テンプレートにはいくつかQuickComment専用のタグが含まれています。<br />
					システムから動的にパラメータを埋め込むためのタグですので、標準で記述されているタグは<br />
					<strong>基本的に消さない</strong>ようにしてください。
					<ul>
						<li><span>&lt;!--%%result-msg%%--&gt;</span>このタグの位置にお礼メッセージが出力されます。</li>
						<li><span>&lt;!--%%result-image%%--&gt;</span>このタグの位置に拍手画像・Flashが出力されます。</li>
						<li><span>&lt;!--%%comment-form%%--&gt;</span>このタグの位置にコメントフォームが出力されます。</li>
						<li><span>&lt;!--%%text-max%%--&gt;</span>コメント最大文字数の値をJavascriptに渡すためのタグです。</li>
					</ul>
					<h4>標準のJavascriptについて</h4>
					コメントフォームで残り文字数を表示したり、メッセージ案内を表示するスクリプトが標準で設定されています。<br />
					&lt;body&gt;タグ直後の&lt;script&gt;タグで以下のファイルを読み込んでいます。<br />
					この機能が不要でなければ、&lt;script&gt;タグは消さないようにしてください。
					<ul>
						<li><span>/js/jquery-1.4.2.min</span>jQueryライブラリファイルです。標準Javascriptが利用するのでに読み込みます。</li>
						<li><span>./js/qc-util.js</span>QuickComment画面の標準のJavascriptファイルです。</li>
					</ul>
					<h4>フォームのテンプレートついて</h4>
					フォーム部分は別のテンプレートファイルになっています。<br />
					こちらはシステムに大きく関る部分ですので、管理画面からは編集出来ません。<br />
					レイアウトなどは基本的にCSSファイルで変更してください。<br />
					どうしてもフォーム内のテンプレートを編集したい場合は、 <strong style="color:#00C;">tpl/form.html</strong> を編集してください。<br />
					こちらにも専用のタグがいくつか含まれていますので、編集する場合はそれらも消さないようにしてください。
				</div>
				<textarea id="edit-tpl" name="edit-tpl"><?php echo $tpldata; ?></textarea>
				<div style="text-align:right;clear:left;margin-top:30px;">
					<button type="button" name="prev-tpl" class="init" id="prev-tpl" onclick="defaultTpl()">初期化</button>
					<input type="submit" value="HTML更新" name="sub-tpl" class="submit edit-sub" id="sub-tpl" />
				</div>
			</form>
			<form action="../lib/prev_tpl.php" method="post" name="prev-form" id="prev-form" target="prev" onsubmit="openPreview('../lib/prev_tpl.php', 'prev', 'prev-form');return false;">
				<input type="hidden" name="tpl_prev" id="tpl_prev" value="" />
				<input type="hidden" name="sid" value="<?php echo $sid; ?>" />
				<input type="submit" name="prev-tpl" class="submit edit-sub" id="prev-tpl" value="プレビュー" onclick="document.getElementById('tpl_prev').value=document.getElementById('edit-tpl').value" />
			</form>
		</div>
		<h3>拍手画面CSS編集</h3>
		<form action="<?php echo EDIT_TPL; ?>" method="post" name="css-form" id="css-form">
			<textarea id="edit-css" name="edit-css"><?php echo $cssdata; ?></textarea>
			<div style="text-align:right;clear:left;margin-top:30px;">
				<button type="button" name="prev-tpl" class="init" id="prev-tpl" onclick="defaultCss()">初期化</button>
				<input type="submit" value="CSS更新" name="sub-css" class="submit edit-sub" id="sub-css" />
			</div>
		</form>
	</div>
	<hr size="1" noshade class="comment-line" color="#E0E0E0" />
</div><!-- wrapper end -->
<?php 
	if(!empty($conf_init)){ 
		logout_btn();
	}
	echo COPY_LIGHT;
?>
</body>
<script src="./js/qc-edit.js"></script>
<script type="text/javascript">
<!--
	var qc_url = "<?php echo $qc_url; ?>";
	var sid = "<?php echo $sid; ?>";
-->
</script>
</html>